Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.berger_parker_d

skbio.diversity.alpha.berger_parker_d(counts)

  Calculate Berger-Parker dominance index.

  Berger-Parker dominance index \(d\) is defined as the fraction of the sample that belongs to the most abundant taxon:

  \[d = \frac{n_{max}}{N}\]

  where \(n_{max}\) is the number of individuals in the most abundant taxon (or any of the most abundant taxa in the case of ties), and \(N\) is the total number of individuals in the sample.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

  Returns:
    float

      Berger-Parker dominance index.

  Notes

  Berger-Parker dominance index was originally described in [1].

  References

  [1]

  Berger, W. H., & Parker, F. L. (1970). Diversity of planktonic foraminifera in deep-sea sediments. Science, 168(3937), 1345-1347.